Summary: BIND - DNS name server
Name: bind
Version: 4.9.7
Release: 1C1
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://ftp.isc.org/isc/bind/src/4.9.7/bind-4.9.7-REL.tar.gz
Url: http://www.isc.org/bind.html
Source1: named.init
Patch0: bind-4.9.5-linux.patch
Patch1: bind-4.9.3-gethostbyname.patch
Patch2: bind-4.9.3-noinc.patch
Patch3: bind-4.9.4-glibc.patch
Patch4: bind-4.9.5-nonlist.patch
Patch5: bind-4.9.6-procps.patch
Patch6: bind-4.9.6-nostats.patch
Prereq: /sbin/chkconfig
Summary(de): BIND - DNS-Namenserver  
Summary(fr): BIND - serveur de noms DNS
Summary(tr): DNS alan ad sunucusu

%changelog
* Mon Jun 29 1998 Alan Cox <alan@redhat.com>
- upgraded to bind 4.9.7

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- fixed broken ps handling in /usr/sbin/ndc

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- patched serious overflows

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- turned off stats reporting

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- fixed broken initscripts symlinks

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added URL
- hacked named.init some to add status/restart

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- updated to bind-4.9.6
- removed DOS patch (the fix is in the base 4.9.6 release)
- release 1 is against RH 4.x, release 2 is glibc 2.0.x

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Mar 12 1997 Erik Troan <ewt@redhat.com>
- should be started in runlevel 5 and stopped in runlevels 1 and 2.

%description
Includes the named name server, which is used to define host name
to IP address translations (and vice versa).  It can be used on
workstations as a caching name server, but is generally only needed
on one machine for an entire network.

%package utils
Summary: DNS utils - host, dig, dnsquery, nslookup
Group: Networking/Utilities
Summary(de): DNS-Utils - Host, Dig, Dnsquery, Nslookup 
Summary(fr): Utilitaires DNS - host, dig, dnsquery, nslookup
Summary(tr): DNS aralar - host, dig, dnsquery, nslookup

%description utils
Collection of utilities for querying name servers and looking up hosts.
These tools let you determine the IP addresses for given host names,
and find information about registered domains and network addresses.

%description -l de utils
Dienstprogrammsammlung zum Abfragen von Namen-Servern und Hosts.
Diese Tools bestimmen die IP-Adresse eines angegebenen Host-Namen
und finden Informationen ber registrierte Domains und Netzwerk-Adressen.

%description -l de
Enthlt den Namen-Server, der zum Umwandeln von Host-Namen in
IP-Adressen und umgekehrt verwendet wird. Er kann auf
Workstations als caching Namen-Server verwendet werden, ist aber
i.d.R. nur auf einem Recher des Netzwerks erforderlich.

%description -l fr utils
Ensemble d'utilitaires pour interroger les serveurs de noms et rechercher
des htes. Ces outils vous permettent de dterminer les adresses IP pour
des noms d'htes donns, et trouver des informations sur les noms de
domaine dclars et les adresses rseau.

%description -l fr
Contient le serveur de noms named, utilis pour dfinir les traductions
nom d'hte vers adresse IP (et vice versa). Il peut tre utilis sur
les stations de travail comme serveur de nom en cache mais n'est souvent
ncessaire que sur une machine pour un rseau entier.

%description -l tr utils
Bu pakette isim sunucularn sorgulamak ve makina adreslerini zmek iin
kullanlan aralar bulunmaktadr.

%description -l tr
Bu paket, makina adn IP numarasna (ya da tersi) evirmek iin kullanlan
alan ad sunucusunu ierir.  istasyonlarnda bir nbellek isim sunucusu
olarak da kullanlabilir ama genellikle btn bir a iin sadece bir makina
zerinde kurulur.

%prep
%setup -c
%patch0 -p1 -b .linux
%patch1 -p1 -b .gethostbyname
%patch2 -p1 -b .noinc
%patch3 -p1 -b .glibc
%patch4 -p1 -b .nolist
%patch5 -p1
%patch6 -p1

rm -f compat/include/sys/cdefs.h

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DAF_INET6=10"

%install
make install
rm -f /usr/lib/libresolv.a
rm -f /usr/lib/lib44bsd.a

install -m755 -o root -g root $RPM_SOURCE_DIR/named.init /etc/rc.d/init.d/named
ln -sf ../init.d/named /etc/rc.d/init.d/named.init
ln -sf ../init.d/named /etc/rc.d/rc0.d/K10named
ln -sf ../init.d/named /etc/rc.d/rc1.d/K10named
ln -sf ../init.d/named /etc/rc.d/rc2.d/K10named
ln -sf ../init.d/named /etc/rc.d/rc3.d/S55named
ln -sf ../init.d/named /etc/rc.d/rc4.d/S55named
ln -sf ../init.d/named /etc/rc.d/rc5.d/S55named
ln -sf ../init.d/named /etc/rc.d/rc6.d/K10named

%post
/sbin/chkconfig --add named

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del named
fi

%files
%config /etc/rc.d/init.d/named
%config /etc/rc.d/init.d/named.init
%config(missingok) /etc/rc.d/rc0.d/K10named
%config(missingok) /etc/rc.d/rc1.d/K10named
%config(missingok) /etc/rc.d/rc2.d/K10named
%config(missingok) /etc/rc.d/rc3.d/S55named
%config(missingok) /etc/rc.d/rc4.d/S55named
%config(missingok) /etc/rc.d/rc5.d/S55named
%config(missingok) /etc/rc.d/rc6.d/K10named

/usr/sbin/named
/usr/sbin/named-xfer
/usr/sbin/named.restart
/usr/sbin/named.reload
/usr/sbin/ndc

/usr/man/man8/named.8
/usr/man/man8/named.reload.8
/usr/man/man8/named.restart.8
/usr/man/man8/ndc.8
/usr/man/man8/named-xfer.8
/usr/man/man3/resolver.3
/usr/man/man3/getnetent.3
/usr/man/man7/hostname.7

%files utils
/usr/bin/nslookup
/usr/lib/nslookup.help
/usr/bin/host
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/addr
/usr/man/man1/dig.1
/usr/man/man1/host.1
/usr/man/man1/dnsquery.1
/usr/man/man8/nslookup.8
/usr/man/man5/resolver.5
